Application: gvSIG desktop - gvSIG bugs #1954
Load raster hyperlink doesn't work
07/18/2013 09:21 AM - Manuel Madrid

Status: Invalid % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:

Category: Document view

Target version:

Severity: Add-on version:

gvSIG version: 2.0.0 Add-on build:

gvSIG build: 2066 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: No Hito:

Add-on name: Unknown

Description

1. Load a vector polygon layer.

2. Start editing.

3. Add a new column (type=string length=100).

4. Choose a polygon and fill in the cell of the new column with a path to a raster file.

5. Stop editing saving changes.

6. Configure the layer hyperlink (right button + Properties > Hyperlink tab) for the new column/field ("load raster" type).
7. Select the hyperlink tool from the toolbar.

8. Click on the polygon that has the path.

9. A new layer should have been added to the ToC but, instead, nothing happens.

Tested with tif and jpg files.

History

#1 - 12/17/2013 09:56 AM - Juan Lucas Dominguez

While fixing another bug, | have removed the functionality to add new layers with this tool, because it introduces a dependency with raster plugins.

You an only use paths to images, HTML (or websites) and PDF files.

#2 - 01/13/2014 12:45 PM - Alvaro Anguix

¢ Se ha fijado el otro bug que comentabas? En su caso, ¢Se puede abordar ya este?

#3 - 01/13/2014 12:52 PM - Juan Lucas Dominguez

Si, ya se podria abordar.

#4 - 01/13/2014 01:20 PM - Alvaro Anguix
- Assignee set to Juan Lucas Dominguez

#5 - 01/16/2014 01:24 PM - Alvaro Anguix
- Target version set to 2.1.0-2219-testing

#6 - 02/17/2014 08:40 PM - Joaquin del Cerro Murciano
- Target version changed from 2.1.0-2219-testing to 2.1.0-2221-testing

#7 - 02/20/2014 11:31 AM - Alvaro Anguix
- Assignee deleted (Juan Lucas Dominguez)

- Target version changed from 2.1.0-2221-testing to 2.2.0-2311-rc2

#8 - 01/28/2015 12:05 PM - Alvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#9 - 05/29/2015 01:40 PM - Alvaro Anguix

- Status changed from New to Invalid

Esta funcionalidad se quito, por lo que el ticket con un bug no tiene sentido. Lo que habra que hacer en el futuro es incluir la funcionalidad.
